commit 01617bfafbd266ebb435355309505843686bfac4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 19:41:47 2012 +0100

    extensions: quadruple precision of LUT based floatfuncs

    (without increasing the size of the lookup tables, with neglible
    performance cost)

 extensions/fast-float.c |   36 ++++++++++++++++++++++--------------
 1 files changed, 22 insertions(+), 14 deletions(-)

commit c94d8493bcffb8acd499a8a993545c95f865f5e3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 15:08:13 2012 +0100

    fast-float: reduce overhead of saturating LUT

 extensions/fast-float.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 9964f870b1e9599ccd6091c3869ad14ca030ff98
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 15:03:10 2012 +0100

    extensions/fast-float: reduce precision

    Reduce sizes of lookup tables by an order of magnitude, doubling
    the run-time
    performance.

 extensions/fast-float.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit df7b656e4e6b0cfe03713fa71c2ab4c3055aa327
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 03:08:53 2012 +0100

    extensions: add lut based gamma for float

 extensions/Makefile.am  |    3 +-
 extensions/fast-float.c |  463
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 465 insertions(+), 1 deletions(-)

commit efcbbf180060385edfd9922e7de3ffc8895d0747
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 17:08:16 2012 +0100

    babl: reduce number of pixels tested when profiling to 128

 babl/babl-conversion.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3a88e9d917f96935c1abaac011b52bdc3e2d85b8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 15:34:31 2012 +0100

    extensions: get rid of some of the conversions with the highest errors

 babl/babl-conversion.c   |    2 +-
 extensions/gegl-fixups.c |   72 ------------
 extensions/gggl-lies.c   |  283
 ----------------------------------------------
 3 files changed, 1 insertions(+), 356 deletions(-)

commit 4f8c43e0ee4c5f9ecb453cc5a4bf27d8a11202c1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 15:06:52 2012 +0100

    extensions: remove optmized powf, use the fully correct optimization
    from base

 extensions/float.c |  124
 ++++++---------------------------------------------
 1 files changed, 15 insertions(+), 109 deletions(-)

commit 1f5b281382b8511481bdd1ac0baef417a32779fb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 14:58:49 2012 +0100

    extensions: add an extension with some float optimizations

    Alos improve some alpha unpremultiplications in other extensions.

 extensions/Makefile.am   |    4 +
 extensions/float.c       |  324
 ++++++++++++++++++++++++++++++++++++++++++++++
 extensions/gegl-fixups.c |    6 +-
 extensions/gggl.c        |    3 +-
 4 files changed, 333 insertions(+), 4 deletions(-)

commit f8d49962299cba7dc719c63c78b0dbd9b65678a5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 14:58:16 2012 +0100

    base/util.h change define used in include guards

 babl/base/util.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fe553b82d2bf2ce5a76a571cedb4b1e0389cfc99
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 03:47:06 2012 +0100

    use optimized powf for x^(1.0/2.4)

 babl/base/util.h |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit d36119a4f79dd174fd762bfa6761cb0743b6753f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 03:44:45 2012 +0100

    reorder loops of reference premul

 babl/base/model-rgb.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 8f2e1e3c18299b0f522727d894ab53d7c92304ed
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 02:50:43 2012 +0100

    use sse conversions also for gamma corrected data

 extensions/sse-fixups.c |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit a3c5cb397632dc92cec8bde020173720f18f0210
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 00:37:00 2012 +0100

    post release version bump to 0.1.9

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21d823b676c7785bf555f913d5cc04ff0fca3e8b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 00:33:09 2012 +0100

    bump version to 0.1.8

    Also updated NEWS

 NEWS         |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 45c58bae85cce261ab585d4277bcf1143a922d75
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 00:31:43 2012 +0100

    build: do not enable introspection even for distcheck

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 803de20d07e11c76ca928502d519ddaf5ffd5c59
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 00:14:49 2012 +0100

    palette: return the same values if same name is provided

 babl/babl-palette.c |   15 +++++++++++++--
 babl/babl.h         |    4 +++-
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 8a220e393495137c0595c11602e1ea69c3962cc2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 20:28:48 2012 +0100

    palette: change alpha reporting for palette formats

    Only return TRUE if the format has a dedicated alpha component.

 babl/babl-palette.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 56e8871e416659463ecd48c954e735a35fa84b92
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 15:29:12 2012 +0100

    palette: use INT_MAX instead of MAXINT

 babl/babl-palette.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e301fd87651f325a3684fe0cc23acd2ac67bc6a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 21 18:13:38 2012 +0000

    add babl_format_is_palette

 babl/babl-format.h  |    1 +
 babl/babl-palette.c |   23 +++++++++++++++++------
 babl/babl.h         |   12 ++++++++++--
 3 files changed, 28 insertions(+), 8 deletions(-)

commit a8101cab0f51d2b1aa486b3723f5f5606645a9d6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 19 15:24:36 2012 +0000

    palette: return the BablModel created

 babl/babl-palette.c |    8 +++++---
 babl/babl.h         |    8 +++++---
 2 files changed, 10 insertions(+), 6 deletions(-)

commit d5489f961a89baf74c622c8312589d420fb96c51
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 19 12:46:45 2012 +0000

    disable gobject introspection by default

    The tooling crashes with odd strlen assertions breaking the build
    on many
    existing linux distros. This change should make gobject introspection
    disabled by defualt.

 m4/introspection.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3246212471a8841e2c9de2ea50904749727f3dbc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 19 02:55:32 2012 +0000

    palette: optimize rgb(a) -> palette index computation

 babl/babl-palette.c |  261
 +++++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 210 insertions(+), 51 deletions(-)

commit fde6f74ee6df6da8637b55ba0a8187e4c17c8138
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 22:10:20 2012 +0000

    palette: add fast paths for adding and removing alpha channel

 babl/babl-palette.c |   73
 ++++++++++++++++++++++----------------------------
 1 files changed, 32 insertions(+), 41 deletions(-)

commit e803b072f06e2e2717fd2be0df4b3c5f058cf6ca
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 16:57:04 2012 +0000

    tests: constify tests

 tests/concurrency-stress-test.c |    2 +-
 tests/extract.c                 |    2 +-
 tests/grayscale_to_rgb.c        |    2 +-
 tests/n_components.c            |    6 +++---
 tests/palette.c                 |    6 +++---
 tests/rgb_to_bgr.c              |    2 +-
 tests/rgb_to_ycbcr.c            |    2 +-
 7 files changed, 11 insertions(+), 11 deletions(-)

commit afd9b27918e766858724b25ce427af66ed46db2b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 15:58:11 2012 +0000

    constify API

 babl/babl-class.h          |   10 +++---
 babl/babl-component.c      |    2 +-
 babl/babl-conversion.c     |   24 +++++++-------
 babl/babl-conversion.h     |    4 +--
 babl/babl-extension.h      |    4 +-
 babl/babl-fish-path.c      |   11 +++---
 babl/babl-fish-reference.c |    8 ++--
 babl/babl-fish-stats.c     |    8 ++--
 babl/babl-fish.c           |    2 +-
 babl/babl-format.c         |   75
 ++++++++++++++++++++++---------------------
 babl/babl-image.c          |    7 ++--
 babl/babl-image.h          |    2 +-
 babl/babl-internal.h       |   22 ++++++------
 babl/babl-model.c          |   23 +++++++------
 babl/babl-palette.c        |   24 +++++++-------
 babl/babl-sampling.c       |    2 +-
 babl/babl-type.c           |   19 ++++++-----
 babl/babl.h                |   52 +++++++++++++++---------------
 extensions/gegl-fixups.c   |   14 ++++----
 extensions/gggl-lies.c     |   44 +++++++++++++-------------
 extensions/gggl.c          |   42 ++++++++++++------------
 extensions/gimp-8bit.c     |   26 +++++++-------
 extensions/sse-fixups.c    |    6 ++--
 23 files changed, 218 insertions(+), 213 deletions(-)

commit a305fd91ced781f86ed05732a3cac9fb77e5902d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 15:00:07 2012 +0000

    palette: add fastish path for alpha<->no alpha

 babl/babl-palette.c |   58
 ++++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 53 insertions(+), 5 deletions(-)

commit fc2c0afa0f26a970cfdee28511a676e392415fd9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 14:17:04 2012 +0000

    carry around user data in BablConversion

    Having the user data for relevant conversions directly in
    BablConversion
    permits avoiding branches in the dispatch code. Branches in dispatch
    code
    is evil, thus desinging the rest around avoiding that.

 babl/babl-conversion.c |   38 ++++++++++++++++----------------------
 babl/babl-conversion.h |    4 ++--
 babl/babl-palette.c    |   22 ++++++++++++----------
 babl/babl-types.h      |    6 ++----
 4 files changed, 32 insertions(+), 38 deletions(-)

commit 23345ce49c8ba6c6d185a788da90ff3c8c9a077e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 13:10:19 2012 +0000

    palette: changed API to have aplha and non-alpha formats in out
    arguments

 babl/babl-palette.c |   23 ++++++++---------------
 1 files changed, 8 insertions(+), 15 deletions(-)

commit 435e8ff0d2db7ac7405cabdd7dc25e950f2af632
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 11:39:12 2012 +0000

    make babl pass valgrinding

 babl/babl-conversion.c |   18 ++++-
 babl/babl-format.c     |   25 ++++++-
 babl/babl-format.h     |    7 +--
 babl/babl-palette.c    |  185
 ++++++++++++++++++++++++++++--------------------
 babl/babl.h            |    3 +-
 tests/palette.c        |   27 ++++++-
 6 files changed, 173 insertions(+), 92 deletions(-)

commit 5945aea4b04d90274e263731cde180bf4d3fafd9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 02:52:00 2012 +0000

    palette: initialize with 8bit fast path buffer

 babl/babl-palette.c |    4 +++-
 tests/palette.c     |   33 +++++++++++++++++++++++++++------
 2 files changed, 30 insertions(+), 7 deletions(-)

commit f28a81b51feb50e36b099dc1b0efa3687c188688
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 00:10:52 2012 +0000

    add 8bit fast path for pal -> rgba

 babl/babl-palette.c |   42 +++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 41 insertions(+), 1 deletions(-)

commit 9e4542ca2b6322c56bc1dc8aa26d091bc5a4a158
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 23:54:49 2012 +0000

    add bablformats that match the hosts endianness

 extensions/Makefile.am |    2 +
 extensions/cairo.c     |   86
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+), 0 deletions(-)

commit 72add8f22426f0f7457e9eebffe0a458e42d4b0b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 19:39:21 2012 +0000

    palette: cache the double version of the palette internally

 babl/babl-palette.c |   74
 ++++++++++++++++++++-------------------------------
 1 files changed, 29 insertions(+), 45 deletions(-)

commit 9d2aa7d13ac421935de1e87301c48af50b0ceb59
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 17:02:44 2012 +0000

    palette: add capability to use palette formats with separate alpha

    Also refactored to make babl-palette.c only use public API.

 babl/babl-fish-path.c |    6 +-
 babl/babl-format.c    |   14 +++
 babl/babl-ids.h       |    1 -
 babl/babl-palette.c   |  226
 +++++++++++++++++++++++++++++++++++--------------
 babl/babl.h           |   18 ++++-
 tests/palette.c       |   39 ++++++++-
 6 files changed, 230 insertions(+), 74 deletions(-)

commit 11d4a44ebbee10d62064b516e8946025ea045f76
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 12:32:47 2012 +0000

    add file missing from last commit

 babl/babl-palette.c |  254
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 254 insertions(+), 0 deletions(-)

commit 47f3c99e1c58bb50e60d03727c2b2cdcef363cbf
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 12:22:10 2012 +0000

    add API for managing palette based formats

 babl/Makefile.am      |    1 +
 babl/babl-ids.h       |    1 +
 babl/babl-types.h     |    8 +++-
 babl/babl.h           |   21 +++++++++
 babl/base/babl-base.h |    1 +
 tests/Makefile.am     |    3 +-
 tests/palette.c       |  108
 +++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 139 insertions(+), 4 deletions(-)

commit ba6d0f554ecb85c853135ada91bc049b28448da9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 12:18:54 2012 +0000

    babl: add ability to register user data with BablModel

    The user data is available in the callback functions, no ABI
    change only
    processing functions interested in this data needs to define the
    arguments,..
    keeping ABI compatibility.

 babl/babl-conversion.c |   12 +++++++++---
 babl/babl-conversion.h |    4 +++-
 babl/babl-fish-path.c  |    4 ++++
 babl/babl-format.h     |    4 ++++
 babl/babl-internal.h   |    1 +
 babl/babl-model.c      |    4 ++--
 babl/babl-model.h      |    1 +
 7 files changed, 24 insertions(+), 6 deletions(-)

commit f5b934ff75b786c22d8d885dc489e231031b6c23
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 11:53:45 2012 +0000

    tests: add missing test

 tests/extract.c |  144
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 144 insertions(+), 0 deletions(-)

commit ba69dcba43d31279bcc27076fb15859e5ad520c9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 11:25:59 2012 +0000

    add ability to extract component with 1 component formats

 babl/babl-format.c |    4 +++-
 tests/Makefile.am  |    3 +++
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 5f21288bd2d011894bf139728eb3a185bcc6f4c1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 22:11:56 2012 +0000

    constify source argument of babl_process

 babl/babl-conversion.c     |   18 ++++++++--------
 babl/babl-conversion.h     |   10 ++++----
 babl/babl-fish-path.c      |   47
 +++++++++++++++++++++----------------------
 babl/babl-fish-reference.c |   36 ++++++++++++++++----------------
 babl/babl-internal.h       |    4 +-
 babl/babl-types.h          |    4 +-
 babl/babl.h                |    2 +-
 7 files changed, 60 insertions(+), 61 deletions(-)

commit b76b220b8ede1c3048c18c6abbaf384604ac8012
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Dec 23 11:44:14 2011 +0000

    base: remove unused model-cmyk

 babl/base/model-cmyk.c |  213
 ------------------------------------------------
 1 files changed, 0 insertions(+), 213 deletions(-)

commit 9cabedb56d5ae9803e34bb79041d87c90400c1dd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 18:47:02 2011 +0000

    post release version bump to 0.1.7

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 180becb47465ca34bd4ba68c2737bef0c06ad284
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 18:44:58 2011 +0000

    bump version to 0.1.6

 NEWS         |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit a3b2d29554d7c31bfd678dbd02f5d117ab808e55
Author: Nils Philippsen <nils@redhat.com>
Date:   Fri Nov 18 17:36:04 2011 +0100

    build: clean generated vapi file

 babl/Makefile.am |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit cc795367ff5b1bc4d9ff29074ceeb12068822e57
Author: Øyvind Kolås <pippin@oq-po.com>
Date:   Mon Oct 17 18:07:19 2011 +0100

    build: bump automake requirement to 1.11

    This is needed for the silent build rules, and probably more.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d9bab7520d817d27e6eea5af9f92a75c45dc8072
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 17:04:38 2011 +0100

    Copy introspection.m4 on tree

    This avoid us to depend on a system installed gobject-introspection
    package.

 Makefile.am         |    1 +
 m4/introspection.m4 |   94
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+), 0 deletions(-)

commit 45d8541c24f9437dc34bb6bfbe454a55f7365c88
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:36:42 2011 +0100

    build: Set automake options in AM_INIT_AUTOMAKE

 Makefile.am  |    1 -
 configure.ac |    2 +-
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 1a6c30bded88a01aaf483b5b4ecef461b5ad5b85
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:35:11 2011 +0100

    Makefile.am: Remove m4/introspection.m4 from EXTRA_DIST

 Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 35f04182c870d238de962c50aba64d6e07990d63
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:21:53 2011 +0100

    build: Do not use local copy of introspection.m4

 configure.ac        |    2 +-
 m4/introspection.m4 |   94
 ---------------------------------------------------
 2 files changed, 1 insertions(+), 95 deletions(-)

commit 16baeb7a185151643b99034d730e273ad3df1e53
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 03:00:44 2011 +0100

    autogen.sh: Use autoreconf instead custom script

 autogen.sh |  210
 ++---------------------------------------------------------
 1 files changed, 8 insertions(+), 202 deletions(-)

commit 6db19d1b298c0bddb6bade539d5c7fb5c0c9f316
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 02:56:07 2011 +0100

    configure.ac: Replace deprecated AC_STDC_HEADERS macro

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e9d7db77ca8287bb8e7cde8a99297b5555eb19be
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 02:55:08 2011 +0100

    configure.ac: Use new libtool syntax

 configure.ac |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 9a462946a462bdb67abf2fe67bba2f2b713bb745
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 02:52:51 2011 +0100

    configure.ac: Check for AM_SILENT_RULES after AM_INIT_AUTOMAKE

 configure.ac |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 2d261d3c0edbd5efeede0f877db5c00974f394a3
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 02:50:10 2011 +0100

    configure.ac: PACKAGE_NAME is already defined by AC_INIT

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 2425419f9cf807b55cd89f9795849ac51c7cb21f
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 02:48:47 2011 +0100

    configure.ac: Replace AM_CONFIG_HEADER deprecated macro

    Use AC_CONFIG_HEADERS instead

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1a04e6d42b90cd6f7f3054309977b5b986e9e8e9
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 02:47:21 2011 +0100

    Makefile.am: honor aclocal flags

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3e3f2494b56a7d9ccec170d0a5576c80085e73c0
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Sep 13 00:52:06 2011 +0530

    build: Remove --enable-maintainer-mode as it's now the default

 autogen.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 226dd1678b270ef375ad90c79caddf21d2aa26b9
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Sep 13 00:50:21 2011 +0530

    build: Don't complain about non-GNU make rules

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a268c654739258f93a1a18087bdd644d8e243355
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Sep 13 00:38:29 2011 +0530

    build: Enable maintainer mode by default

    See
    <http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/>.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3ff76afb00023670fbf4a93c847f91a609d6c0b5
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Aug 19 22:32:07 2011 +0200

    add the possibility to distinct format_n type from the others

 babl/babl-format.c |   24 ++++++++++++++++++++++++
 babl/babl-format.h |    1 +
 babl/babl.h        |    5 +++++
 3 files changed, 30 insertions(+), 0 deletions(-)

commit 03f6eb4f5b567406b23933b65c868f480ec7abd0
Author: Jon Nordby <jononor@gmail.com>
Date:   Thu Aug 4 00:45:04 2011 +0200

    Fix install of babl vapi file

    The pkg-config package refered no longer exists,
    and currently only libvala provides a vapidir in pkg-config,
    and this package is versioned and changes all the time.
    Other projects just use $(datadir)/vala/vapi, so we do the same

 babl/Makefile.am |    2 +-
 configure.ac     |    3 ---
 2 files changed, 1 insertions(+), 4 deletions(-)

commit dc292138a3d2817a2086d5ea2847ad8ea4c62271
Author: Jon Nordby <jononor@gmail.com>
Date:   Wed Aug 3 23:13:29 2011 +0200

    Build Vala support (.vapi file) by default

    Generated from .gir file.

 babl/.gitignore  |    1 +
 babl/Makefile.am |    8 ++++++++
 configure.ac     |   21 +++++++++++++++++++++
 3 files changed, 30 insertions(+), 0 deletions(-)

commit 428598963ed8f50b60ff5a33202dab7afb16c976
Author: Barak Itkin <lightningismyname@gmail.com>
Date:   Thu Jul 21 17:33:17 2011 +0300

    Remove trailing space in comments

 babl/babl.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c440e111aa9283afba3446002cca19c4f23d2d12
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu May 26 22:50:57 2011 +0200

    mask out unwanted formats with if(0) {...}

    premature return statements make source code checkers unhappy

 babl/base/model-ycbcr.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit e46c1706f34c32093143585f58da9c119686035f
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu May 26 16:04:54 2011 +0200

    get rid of hack_hack(), use NEEDS_BABL_DB instead

 babl/babl-component.c  |    1 +
 babl/babl-conversion.c |    1 +
 babl/babl-db.h         |    3 +++
 babl/babl-extension.c  |    1 +
 babl/babl-fish.c       |    2 ++
 babl/babl-format.c     |    1 +
 babl/babl-internal.h   |   11 -----------
 babl/babl-model.c      |    1 +
 babl/babl-type.c       |    1 +
 9 files changed, 11 insertions(+), 11 deletions(-)

commit 1332d93c4d36d648f063ada4ae539ec66c1eeea5
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu May 26 15:37:09 2011 +0200

    catch babl_{format,model}_new calls with missing parameters

 babl/babl-format.c |   14 ++++++++++++++
 babl/babl-model.c  |    7 +++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 9b3a25b2acca835286ce56ec965212cc491fea36
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu May 26 12:34:14 2011 +0200

    add comment about case falling through

    this makes code checker tools happy and the code easier to understand

 babl/babl-extension.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 07dec870b9b16d58665c9b9e734d1f4e6329123a
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu May 26 12:22:23 2011 +0200

    fix element size when allocating chain_table

 babl/babl-hash-table.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2f6038efb34cf0a54e4466409aac244e7406cd8b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Apr 21 12:00:31 2011 +0100

    Do not reject colliding conversion names

    Permit registering multiple conversions between the same formats
    from the same
    extension. Babl was rejecting subsequent conversions/variations in
    the same
    module; this is desired for most other types of babl objects but not
    conversions.

 babl/babl-conversion.c |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit f75d194d77401768654c4faa7bd66409510d97fe
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Apr 20 13:43:08 2011 +0200

    base: don't define and set unused variable

    otherwise gcc 4.6 would warn about it

 babl/base/model-gray.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit d4cf61490e75f3fc6623cc43117fca8e69279b3d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 17 17:58:52 2011 +0100

    stats: change percentage of pixels needed to be part of negative stats

 babl/babl-fish-stats.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 70e43fcd3d803a5344459b443383eadc7b0ad171
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 17 17:50:11 2011 +0100

    extensions: Remove some of the blatantly wrong conversions

    These conversions would never be chosen anyways, even with high
    tolerance, but
    they are dead code and can just be removed.

 extensions/gggl.c |  288
 +----------------------------------------------------
 1 files changed, 1 insertions(+), 287 deletions(-)

commit 6bbf401cbde5414c0e5fef53c3725df7c4aced73
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 17 17:22:12 2011 +0100

    stats: remove false negatives from HTML stats output

    too many of the conversions are flagged as bad in the matrix change
    code so
    that only conversions that contribute to more than 0.1% of the
    overall pixels
    converted by babl are shown in the stats written when BABL_STATS
    environment
    variable is set.

 babl/babl-fish-stats.c |   46
 ++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 42 insertions(+), 4 deletions(-)

commit 95345a2afadc9df4eb7bc55f8f1c76e128e8b32f
Author: Rupert Weber <rpwh@gmx.de>
Date:   Wed Sep 1 18:16:10 2010 +0200

    docs: fixed example code in index-static.html.in

    added babl_init(), fish can't be const, Babl* can't be dereferenced,
    one variable name changed during example, added sizeof to make it
    a little more obvious.

 docs/index-static.html.in |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 9bd82a60e4ae2184dc512e200e89e5e957d6c910
Author: Rupert Weber <rpwh@gmx.de>
Date:   Wed Sep 1 17:54:21 2010 +0200

    docs: HTML cleanup

    Small HTML cleanups like missing end-tags so page passes
    HTML validator.

 AUTHORS                   |    2 +-
 docs/index-static.html.in |   12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit d96973bc348b860b214e19f6cdefd24a78c745c6
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Mar 28 22:16:11 2011 +0200

    build: Remove --pkg babl option to g-ir-scanner

    --pkg is intended for dependencies. Babl does not depend on Babl
    This lead to g-ir-scanner barfing if Babl was not already installed.

 babl/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 96637b39d10db0d7e90eced5fe1e09de77bd7b8a
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Mar 2 11:42:37 2011 +0100

    fix building in separate directory

 babl/Makefile.am |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit db7b31f1d90d94f81d8a0073df319d686bf189ee
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jan 20 22:36:19 2011 +0000

    post release bump to 0.1.5

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9a53e93aeaf30a60194f6f5b7b672be7e9cb96d4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jan 20 22:35:09 2011 +0000

    bump version to 0.1.4

 NEWS         |    5 ++++-
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 8f30c5109fe921bea7c52f00d1133a52b22126e5
Author: Rupert Weber <gimp@leguanease.org>
Date:   Sun Sep 19 14:59:07 2010 +0200

    removed redundant RGBA double registration

    "RGBA double2 was registred twice, once per name, once per id.

 babl/babl-core.c  |   10 ----------
 babl/babl-model.c |    7 ++++++-
 2 files changed, 6 insertions(+), 11 deletions(-)

commit 4006f433f9e0d6b3cb54943adccada464f69595a
Author: Rupert Weber <gimp@leguanease.org>
Date:   Fri Oct 1 02:18:53 2010 +0200

    allow reregistering but check for differences

    babl_model_new() emitted a warning when reregistering a model,
    babl_format_new(), babl_type_new(), and babl_component_new()
    quietly returned a preexisting object.

    Changed so that all four functions return the preexisting object
    if the new registration doesn't conflict, otherwise make the
    error fatal.

    (Fixed some conflicting and redundant registrations for
    "Y'CbCr u8" along the way)

 babl/babl-component.c   |   31 ++++++++++++++++++++++++++-----
 babl/babl-format.c      |   38 ++++++++++++++++++++++++++++++++++++--
 babl/babl-model.c       |   24 +++++++++++++++++++++++-
 babl/babl-type.c        |   29 +++++++++++++++++++++++------
 babl/base/formats.c     |   20 ++++++++------------
 babl/base/model-ycbcr.c |    1 -
 extensions/gggl-lies.c  |    3 +++
 extensions/gggl.c       |    3 +++
 8 files changed, 122 insertions(+), 27 deletions(-)

commit cfeaaf62b8d5babef2ab34798fff1e1f64905422
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Wed Dec 29 08:25:50 2010 +0100

    Fix make distcheck

    When we generate the gir-file we need to refer to the source files
    relative to the srcdir to support out-of-source-tree builds.

 babl/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 58ec54a40486cd4ab140406903a3f3832adf26e0
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Mon Dec 27 21:34:00 2010 +0100

    Add BABL_IS_BEING_COMPILED #define support

    Sometimes it is ok that babl includes are included directly and not
    through babl.h, like when we generate GObject introspection files.

    The important thing is just that users of the babl API don't begin to
    include headers we don't guarantee to always exist, and
    BABL_IS_BEING_COMPILED doesn't obstruct this goal.

 babl/Makefile.am       |    1 +
 babl/babl-macros.h     |    2 +-
 babl/babl-types.h      |    2 +-
 babl/babl-version.h.in |    2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

commit 80f9c02ae2ccb3d2f215400a428c752e41776f4e
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Mon Dec 27 21:30:58 2010 +0100

    Add Babl-$(BABL_API_VERSION).gir dependencies

    Add Babl-$(BABL_API_VERSION).gir dependencies for proper
    auto-recompilation.

 babl/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a23678fb4b1976d33caed995f3cda623d5760665
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Dec 18 00:12:01 2010 +0000

    disable DEBUG_MEM

    This option provides a hit in multithreaded use, and should only
    be enabled
    when debugging babl memory allocation internals.

 babl/babl-internal.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit acbb0a9400a8e70d15b3267eafa8451471edb759
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Wed Sep 29 22:19:46 2010 +0200

    build/buildbot: Supress AM_PROG_LIBTOOL warning with autoconf 2.68

 build/buildbot/suppressed-warnings.txt |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit c87b3813182ff9141b4e52738e4ea66549b9ff77
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Wed Sep 29 21:55:30 2010 +0200

    configure.ac: Use AC_LANG_PROGRAM to generate test-program

    Use AC_LANG_PROGRAM to generate test-program for AC_COMPILE_IFELSE, so
    we don't get

      warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body

    in autoconf 2.68.

    Second try, we must quote macro arguments...

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 881778079958bff3362fa8ad73d30da2c60c19eb
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Wed Sep 29 21:55:30 2010 +0200

    configure.ac: Use AC_LANG_PROGRAM to generate test-program

    Use AC_LANG_PROGRAM to generate test-program for AC_COMPILE_IFELSE, so
    we don't get

      warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body

    in autoconf 2.68.

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 50c43bdd5977e5d2409030389f1021a473b57964
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Sep 12 17:23:52 2010 +0100

    added Rubert Weber to AUTHORS

 AUTHORS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 992874e1fc412b091733008e37a2cc32e82f3546
Author: Rupert Weber <gimp@leguanease.org>
Date:   Sat Sep 11 21:17:34 2010 +0200

    create double format for every model

    Changes babl_model_new() to create a respective double format
    for every new registered model.

    That way applications and extensions can rely on the double
    format to always exist.

 babl/babl-model.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 97d3805a764bbb366e967d94bea9986840ba9cf2
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Mon Sep 6 08:35:17 2010 +0200

    configure.ac: Disable gzip tarball

    We do releases with the bzip2 tarball, so don't bother creating a gzip
    tarball.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 13f6cd5143e7ab44c09cf22962999662ccab7b5d
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Mon Sep 6 08:35:03 2010 +0200

    babl: Decrease scope of create_name() buffer

 babl/babl-fish-reference.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 71bc2fa5172133f78bee65a40066625d71a358b9
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Wed Sep 1 17:18:25 2010 +0200

    build: Rename to buildbot/suppressed-warnings.txt

    Rename buildbot/suppressed_warnings.txt to
    buildbot/suppressed-warnings.txt, dashes are nicer in file names.

 build/buildbot/suppressed-warnings.txt |    7 +++++++
 build/buildbot/suppressed_warnings.txt |    7 -------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 38d045cbc96c98f2600a2aed4b10094815386fdf
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Aug 31 20:57:15 2010 +0200

    configure.ac: Quote version numbers in m4 define

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a210d25b28b5d6c59e11dd35f54e5e0739edee95
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Thu Jul 22 23:30:14 2010 +0200

    build: Add buildbot/suppressed_warnings.txt

    Add a warning suppression file for buildbot (http://buildbot.net) so
    we can start doing continous automated testing and nightly builds
    eventually.

 build/buildbot/suppressed_warnings.txt |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 9435d1f29b41c52acf5e15fab28b049d52f0948e
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Thu Jul 22 23:10:26 2010 +0200

    Update one more .gitignores

    Update one more .gitignores for stuff created during make distcheck.

 m4/.gitignore |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 97388cf4441ab687deb3804adddac600f9df150d
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Thu Jul 22 10:10:01 2010 +0200

    Update .gitignores

 .gitignore       |    1 +
 babl/.gitignore  |   10 ++++++----
 tests/.gitignore |    1 +
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 19ebce18d5976376e85607182b218e3cc936e926
Author: Philipp Sadleder <philipp@sadleder.de>
Date:   Thu Jul 22 09:21:25 2010 +0200

    introspection: fix girdir and typelibsdir

    Build girdir/typelibsdir by using datadir/libdir like in gtk+.
    Using INTROSPECTION_GIRDIR/INTROSPECTION_TYPELIBDIR leads to
    absolute system
    paths (make distcheck fails).

 babl/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d90655687568020597da1ddbb06c59edf1a8804d
Author: Mukund Sivaraman <muks@banu.com>
Date:   Fri Jul 16 20:35:43 2010 +0530

    Fix type-punning warning

 babl/babl-cpuaccel.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 23ae5625a2f7cc197c0bf0b3c4abb7a949974444
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 16 17:47:47 2010 +0100

    build: fix inclusion of m4/introspection.m4

    The gobject introspection additions expected autoreconf to be used in
    autogen.sh, perhaps we should do that instead? This commit should fix
    building on systems that do not have introspection.m4 in system dirs.

 autogen.sh   |    1 +
 configure.ac |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 09ed3d9bce75243f6f8db807ed3c73441c9333bb
Author: Philipp Sadleder <philipp@sadleder.de>
Date:   Mon Jul 12 16:49:12 2010 +0200

    Add experimental introspection support.

    Disabled by default; use --enable-introspection to enable it.

 ChangeLog.pre-0-1   |    1 -
 Makefile.am         |    5 ++-
 autogen.sh          |    4 +-
 babl/Makefile.am    |   38 ++++++++++++++++++++
 configure.ac        |    3 ++
 m4/introspection.m4 |   94
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 141 insertions(+), 4 deletions(-)

commit 70f3176bc4c6047f2c71400be0dffeabe01a0392
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jun 28 17:44:30 2010 +0100

    extensions: removed frequency extension

    Not needed after the introduction of babl_format_n

 extensions/frequency.c |  161
 ------------------------------------------------
 1 files changed, 0 insertions(+), 161 deletions(-)

commit 6e83f2cdf03db496731d9375f90ba05320ac6fb5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jun 28 00:42:02 2010 +0100

    Add code to handle N-components

    Added a new API call, babl_format_n (). This allows constructing
    a babl
    format with an arbitrary number of components all of the same type. At
    the moment. The model used for such formats is "Y", at the moment
    conversions are only well defined for such formats to other
    n-component
    formats with the same number of components.

 babl/babl-classes.h        |    2 +-
 babl/babl-fish-reference.c |  131
 +++++++++++++++++++++++++++++++++++++++-----
 babl/babl-format.c         |   56 +++++++++++++++++-
 babl/babl.h                |   12 ++++-
 tests/Makefile.am          |    1 +
 tests/n_components.c       |  116 +++++++++++++++++++++++++++++++++++++++
 6 files changed, 297 insertions(+), 21 deletions(-)

commit ec2bbd3f89f7cef65edd15d6d8fa516259714241
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 27 18:01:12 2010 +0100

    remove some left-over dead code

 babl/babl-sampling.c |   15 ---------------
 1 files changed, 0 insertions(+), 15 deletions(-)

commit 288a8f101946933bce9436bc5f58cce78ad24178
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 27 17:48:24 2010 +0100

    babl_realloc: move destructor from original to new

 babl/babl-memory.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 870eefc3bbc8ab6867c5f031707bcb096e103e08
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 27 14:50:41 2010 +0100

    Port all of babl to use use babl_set_destructor

    Making all babl objects be free-able with babl_free means that overall
    management code can be directly shared between the different
    babl-classes.

 babl/Makefile.am       |    2 +-
 babl/babl-class.h      |   25 +++++----------------
 babl/babl-classes.h    |    2 +-
 babl/babl-component.c  |    9 -------
 babl/babl-component.h  |    2 +-
 babl/babl-conversion.c |    8 ------
 babl/babl-conversion.h |    2 +-
 babl/babl-db.c         |   34 +++++++++++++++++++---------
 babl/babl-db.h         |    3 --
 babl/babl-extension.c  |   56
 +++++++++++++----------------------------------
 babl/babl-extension.h  |    4 +-
 babl/babl-fish-path.c  |   14 ++++++++++-
 babl/babl-fish.c       |   29 ------------------------
 babl/babl-format.c     |   13 +---------
 babl/babl-format.h     |    2 +-
 babl/babl-hash-table.c |   23 ++++++++++---------
 babl/babl-hash-table.h |    4 ---
 babl/babl-image.c      |   12 ----------
 babl/babl-internal.h   |   36 ++++++------------------------
 babl/babl-list.c       |   19 +++++++--------
 babl/babl-list.h       |    3 --
 babl/babl-model.c      |   11 ++++-----
 babl/babl-model.h      |    2 +-
 babl/babl-sampling.c   |    4 +--
 babl/babl-sampling.h   |    4 ++-
 babl/babl-type.c       |   12 ++++------
 babl/babl-type.h       |    2 +-
 babl/babl.c            |   48 ++++++++++++++++++++++++++--------------
 28 files changed, 141 insertions(+), 244 deletions(-)

commit fdcf8bb9d0bd4b4ce746f113f6007196aedb81a0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 27 15:26:38 2010 +0100

    babl-internal: remove unneeded lines from gdb output

 babl/babl-internal.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3bf2fef256b5c8eabd8fbf5c0b1d2869600c6a97
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jun 27 15:09:33 2010 +0100

    babl_free: Add double free detection

 babl/babl-memory.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit c435986318527b8dba3265d963b0e45fedb0d18b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jun 26 03:54:53 2010 +0100

    Add a babl_set_destructor

    Keep a callback function for each allocation instance, that allows an
    allocation specific callback to be called when the memory segment is
    freed. This makes a valgrind warning go away, most of the time
    no extra
    memory should be needed since this is likely to fit within the
    padding.

 babl/babl-format.c |   14 +++++++++++
 babl/babl-image.c  |   12 +++++++++
 babl/babl-memory.c |   66
 ++++++++++++++-------------------------------------
 babl/babl-memory.h |   40 ++++++++++++++++---------------
 4 files changed, 65 insertions(+), 67 deletions(-)

commit 831267a944f292314c9cc2aa1b315ce7c9c8319b
Author: Mukund Sivaraman <muks@banu.com>
Date:   Mon Jun 21 23:20:17 2010 +0530

    Add entries to .gitignore

 extensions/.gitignore |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 8199d094ef2d71224967e31e286169d188a775c1
Author: Mukund Sivaraman <muks@banu.com>
Date:   Mon Jun 21 23:09:51 2010 +0530

    Change Makefile rule to avoid warning

 docs/graphics/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fdc99945da833f5d128835ad317c2764a859fa31
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 17 13:08:10 2010 +0000

    Increment path to babl tarballs in install file

 INSTALL.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5b1129a76f2f91d5f5503b078f975e55d9753312
Author: Tor Lillqvist <tml@iki.fi>
Date:   Fri Jan 29 12:10:00 2010 +0200

    Build concurrency-stress-test only on Unix as it uses pthreads
    unconditionally

 tests/Makefile.am |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 0f38fb3618483bba37ab33abae53691322193776
Author: Tor Lillqvist <tml@iki.fi>
Date:   Fri Jan 29 11:56:24 2010 +0200

    Use _WIN32 instead of WIN32

 babl/babl-mutex.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 31ce2529ce8539cd13b314f95cdfd7550258e401
Author: Tor Lillqvist <tml@iki.fi>
Date:   Fri Jan 29 11:50:36 2010 +0200

    Use _WIN32 instead of WIN32

    _WIN32 works more reliably, like if somebody compiles with --std=c99.

 babl/babl-mutex.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 9aa71424fcdd99b2dfb49ac96fccc9fade5d55ed
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jan 18 00:51:20 2010 +0000

    fix CIE Lab alpha float format

    It used to specify a double data type.

 extensions/CIE.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 974f175d82479cfd8c5fe5b9431877c7d10e8a90
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jan 14 18:02:05 2010 +0000

    Post release increment of version to 0.1.3

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2bbfd9bf7ac807072d2b9c7030e837e1c4432f7f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jan 14 18:01:04 2010 +0000

    Release babl-0.1.2

 AUTHORS      |    7 +++++++
 NEWS         |    4 ++++
 configure.ac |    2 +-
 3 files changed, 12 insertions(+), 1 deletions(-)

commit 225d70ba0d3a191be46bf671afc351f1fd8b4f27
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Nov 29 15:42:05 2009 +0000

    Only initialize test buffers once

    Also made the test buffer static inline for individual conversions
    like
    it already was for fish paths.

    Note, this relies on none of the tested conversions by accident
    being buggy enough to modify their source data, adding a sanity
    function that compares the buffers with the correct values could
    perhaps be useful.

 babl/babl-conversion.c |   14 +++++++++-----
 babl/babl-fish-path.c  |    5 +++++
 2 files changed, 14 insertions(+), 5 deletions(-)

commit 5af15f8d386a86a0236a8c9e6e118f62fa57f9f7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Nov 26 18:45:41 2009 +0000

    made babl_list_size babl_list_get_first and babl_list_get_last macros.

    Thereby forcing inlining to gain performance critical code where the
    overhead of additional function calls matter.

 babl/babl-list.c |   26 --------------------------
 babl/babl-list.h |    8 +++-----
 2 files changed, 3 insertions(+), 31 deletions(-)

commit 19a3f6996761e54b73d6a8637e8a9433e347ef88
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Nov 24 01:18:57 2009 +0000

    Fix logic for type detection in babl_fish_process

 babl/babl-fish-path.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a086b35c00492da544ebe0851ac12c85461bfd7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Nov 24 01:04:38 2009 +0000

    Removed two function calls in common path

    Re-arranged code making babl_process and babl_fish_process reside
    in babl-path-fish.c, where babl_fish_process and
    babl_fish_path_process
    can be inlined with babl_process().

 babl/babl-fish-path.c |   88
 +++++++++++++++++++++++++++++++++++++++++++++----
 babl/babl-fish.c      |   47 --------------------------
 babl/babl-internal.c  |   35 -------------------
 babl/babl-internal.h  |    8 ----
 4 files changed, 81 insertions(+), 97 deletions(-)

commit c4e39a47fee21083a4fac85f001c2aeae5f1c078
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Nov 24 00:56:56 2009 +0000

    Removed instrumentation from babl_process.

    This is part of the inner babl processing and should be as slim as
    posisble.

 babl/babl-fish-path.c  |    1 -
 babl/babl-fish-stats.c |    3 ---
 babl/babl-internal.c   |   12 +-----------
 3 files changed, 1 insertions(+), 15 deletions(-)

commit bcf2290ac56567902ff2b4e19726667c26c651ac
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Nov 22 18:28:23 2009 +0000

    Remove use of static buffer to build the name for format.

 babl/babl-format.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 3f026e3f4ba70c09db5f67c60ba2fdeeae3d02dd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Nov 22 17:44:52 2009 +0000

    Make the initial list size in all databases 512 long.

    Like the previous commit.

 babl/babl-db.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4f50e171a08a39b2b3db5e50960a1525870a1797
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Nov 22 17:10:39 2009 +0000

    Increase the default size of hash tables to 512 entries.

    This avoids resizing of the hash tables for all typical usage
    scenarios
    and thus avoids a potential race condition in unlocked lookups.

 babl/babl-hash-table.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d8e9feea97521ab11259ca4b3c205d3ac5751ccd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 18:31:50 2009 +0000

    Fix accidental use of the format mutex instead of the debug mutex.

    The memory statistics book-keeping was reusing the BablFormat
    flag mutex
    thus deadlocking with pthreads mutexes since they are not recursive by
    default.

 babl/babl-memory.c |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit 9347aed4d3d5cacc7bffe4bcdf487a37cd4ed588
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Sat Nov 21 18:11:23 2009 +0100

    CriticalSection does not exist, it is CRITICAL_SECTION

 babl/babl-mutex.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c000b0a87a3002480c5588eb98db219be42054c8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 16:47:24 2009 +0000

    Made BablFishPath thread safe.

    Refactored static variables away and added a lock to protect state
    keeping inside the individual BablFormat when permutating possible
    conversion paths.

 babl/babl-fish-path.c |  101
 +++++++++++++++++++++++++++++--------------------
 babl/babl-internal.c  |    3 +
 babl/babl-internal.h  |    1 +
 3 files changed, 64 insertions(+), 41 deletions(-)

commit d582327a632077fa6fcc7849caea67fa515b3b48
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 16:42:43 2009 +0000

    Added a mutex to memory sanity counters.

    Also added a BABL_DEBUG_MEM define which is set to 1 in
    babl-internal.h
    that can be used to disable these locks which only are nedded when
    debugging.

 babl/babl-internal.c |   14 +++++++++++++-
 babl/babl-internal.h |    5 +++++
 babl/babl-memory.c   |   34 ++++++++++++++++++++++++++++++++++
 babl/babl.c          |    2 ++
 4 files changed, 54 insertions(+), 1 deletions(-)

commit 9ff8a844d24e080040ccbf272000261a35515832
Author: Daniel Paredes García <danipga@gmail.com>
Date:   Wed Jul 8 16:58:45 2009 +0200

    First aproximation to a thread-safe version of babl.

 babl/babl-fish-path.c |  174
 ++++++++++++++++++++++++++-----------------------
 1 files changed, 92 insertions(+), 82 deletions(-)

commit 2405f947c0b4ebfa7c1474113fb8e2cae25c4b4c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 16:15:04 2009 +0000

    Made the each babl type db in babl have a mutex.

    We lock only on mutations of the databases, when reading from them no
    locks are needed.

 babl/babl-db.c |   12 ++++++------
 babl/babl-db.h |    3 +++
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 3021d2da521884e9753a8e84d31ed61d994a8ea6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 16:05:00 2009 +0000

    Made babl_hash_table_find thread safe by making find_func an argument.

 babl/babl-db.c         |   27 +++++++++++++++++++--------
 babl/babl-fish.c       |    6 ++----
 babl/babl-hash-table.c |   14 ++++++++++----
 babl/babl-hash-table.h |    7 ++++---
 4 files changed, 35 insertions(+), 19 deletions(-)

commit 78b93e2c04ad92e52fe0b7e9ef19caacb55c95a6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 15:55:11 2009 +0000

    Added a BablMutex type.

    Mutex abstraction for internal use pthreads by default and critical
    sections on win32.

 babl/Makefile.am     |    2 +
 babl/babl-internal.h |    1 +
 babl/babl-mutex.c    |   67
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 babl/babl-mutex.h    |   40 +++++++++++++++++++++++++++++
 4 files changed, 110 insertions(+), 0 deletions(-)

commit 97950348d062ea9afdc8701df56798bf41fb856a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Nov 21 15:50:41 2009 +0000

    Make babl_ticks() thread safe.

    Made a static variable a temporary variable in the only function using
    it.

 babl/babl-util.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 539bfd1487015c50f5ab90f4bcc48ee0a2363039
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Thu Nov 19 19:59:10 2009 +0100

    tests: Add pthread based concurrency stress test for babl_fish()

    Add a test that runs a bunch of pthread threads, all trying to use
    babl_fish() at the same time. This test currently fails and it is the
    goal of bug 587675 to make it pass.

    The cause of the failure is the static variables in babl-fish-path.c.
    In particular 'current_path' clearly needs to be moved to some
    instance variable.

 tests/.gitignore                |    1 +
 tests/Makefile.am               |    4 +-
 tests/concurrency-stress-test.c |   82
 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 86 insertions(+), 1 deletions(-)

commit b6aa1794754ee32fb2e3412528a8f6eb96596042
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Nov 12 19:32:39 2009 +0000

    Added direct code paths for RGB u8 and RGBA u8 to RaGaBaA float

 extensions/gimp-8bit.c |   45
 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)

commit ee8a51aefda36402d7a74db969757bc9fde824d2
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Fri Oct 9 01:33:26 2009 +0200

    Bug 562741 -  babl Cygwin patch : PLATFORM_WIN32 patch

 babl/Makefile.am       |    2 +-
 extensions/Makefile.am |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b8dcdb7ad8987c57f291ce3bc96f01cbfc01e1cd
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Fri Aug 7 21:47:00 2009 +0200

    Update .gitignore for win32

 .gitignore       |    1 +
 tests/.gitignore |   31 +++++++++++++++----------------
 2 files changed, 16 insertions(+), 16 deletions(-)

commit c99da5ee5d5409364a1685cf8c47eb71b57224e5
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Fri Aug 7 21:17:35 2009 +0200

    Add $(EXEEXT) to tools in Makefile.ams to fix win32 compilation

 docs/Makefile.am |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9291ef860a19cdc7ed0367d25cf984a1e31a6d1f
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Aug 4 21:01:20 2009 +0200

    babl: Fix compiler warnings

    Avoid redefinition and implicit casts

 babl/babl-extension.c |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 12d5cc4c1bcfbf02c2b7d7f53270976df6102093
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sun Aug 2 10:57:37 2009 +0200

    extensions: Add "CIE LCH(ab) [alpha] float"

    Add "CIE LCH(ab) float" and "CIE LCH(ab) alpha float" as babl formats
    and implement conversions from/to RGBA float.

 extensions/CIE.c |  209
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 209 insertions(+), 0 deletions(-)

commit 32d774759afaafb4d37ea262de57513e0f0932b0
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Aug 1 23:42:10 2009 +0200

    extensions: Remove disabled gamma related code in CIE.c

    Remove disabled gamma related code in CIE.c, no point in keeping it
    around, it only complicates the code.

 extensions/CIE.c |  100
 ++---------------------------------------------------
 1 files changed, 4 insertions(+), 96 deletions(-)

commit b943ccd1463a562b57d53c92dd569af54f931868
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Aug 1 21:43:38 2009 +0200

    extensions: Rename CIE-Lab.c to CIE.c

    Rename CIE-Lab.c to CIE.c so that we can keep more CIE color spaces in
    a single file. It would be overkill to separate the common code for
    other color spaces into shared files.

 extensions/CIE-Lab.c   | 1255
 ------------------------------------------------
 extensions/CIE.c       | 1255
 ++++++++++++++++++++++++++++++++++++++++++++++++
 extensions/Makefile.am |    4 +-
 3 files changed, 1257 insertions(+), 1257 deletions(-)

commit da4da8fbe0abfcb994a4d0fd2c93e6093daf457f
Author: Danny Robson <danny@blubinc.net>
Date:   Sun Jul 19 22:50:37 2009 +1000

    Change occurences of assert (0) into babl_fatal()

    babl_fatal() is the more appropriate method to die upon failure, so
    all instances of assert (0) have been changed into babl_fatal() with
    some attempt of an error message.

    In this process, the babl_fish_process() method was refactored into
    using the existing case statement.

    Bug #589027.

 babl/babl-fish-stats.c |    2 +-
 babl/babl-fish.c       |   44
 ++++++++++++++++++++------------------------
 2 files changed, 21 insertions(+), 25 deletions(-)

commit 79a4a198fe1a201be8d84186717964c26763e1ac
Author: Danny Robson <danny@blubinc.net>
Date:   Sun Jul 19 21:35:40 2009 +1000

    Change sprintf() to babl_strcat() in model create_name()

    babl/babl-model.c create_name uses an unsafe incantation of sprintf
    to build names from concatenated components which should ideally use a
    "%s" format specifier preceding the instance name.

    Instead of fixing this, we replace it with a babl_strcat() based
    alternative which allows us to remove the thread-unsafe static
    character
    buffer at the cost of a few mallocs and a free.

    Also do some cleanups, mainly to avoid two exit points from the
    function, that increases readability and warns if a model with the
    same name is registered twice.

    This is bug #589021.

 babl/babl-model.c |   58
 +++++++++++++++++++++++++---------------------------
 1 files changed, 28 insertions(+), 30 deletions(-)

commit 13541095db663c954cc068872eb97edfc5fbdb32
Author: Danny Robson <danny@blubinc.net>
Date:   Sun Jul 19 19:31:47 2009 +1000

    Make use of system return value to avoid warnings

    Make (minimal) use of system's return value to avoid gcc complaining,
    as
    it's declared using the warn_unused_result attribute.

 babl/babl-internal.c |    4 ++--
 babl/babl-internal.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5bca0ac9fec91233f15298cf2bfa9eebb5502f7b
Author: Danny Robson <danny@blubinc.net>
Date:   Sun Jul 19 19:24:54 2009 +1000

    Use pointer integer types for comparisons

    Convert all occurences of pointer arithmetic using integral types
    to use
    the standard ptrdiff_t and intptr_t types. Fixes some build warnings.

 babl/babl-fish.c        |    3 ++-
 babl/babl-memory.c      |    3 ++-
 extensions/sse-fixups.c |    5 +++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 07095a0435f629a114ccf3be1dae2f07141f7c96
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Fri Jul 17 20:19:38 2009 +0200

    Incorporate minor version in soname

    Incorporate minor version in soname. We do this to compensate for the
    immaturity of the API and future ABI/API breakage.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94e0745b0c524101b1c6730feee38bf932e33990
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Jul 14 20:06:27 2009 +0200

    Enable automake silent-rules by default

    Enable silent build rules by default, requires at least
    Automake-1.11. Disable by either passing --disable-silent-rules to
    configure or passing V=1 to make.

 configure.ac |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c8529148809c6e57cb36d478fe7a6a836d7415fc
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Jul 14 19:55:20 2009 +0200

    Generate ChangeLog from git log

    Add rule to generate ChangeLog from git log, copied from pango and
    Behdad Esfahbod. Also disable the rss generation in docs since the rss
    tool can't handle the git log format.

 ChangeLog         | 3356
 -----------------------------------------------------
 ChangeLog.pre-0-1 | 3346
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am       |   23 +
 docs/Makefile.am  |   10 +-
 4 files changed, 3370 insertions(+), 3365 deletions(-)

commit 31ca01958b26cc3c3ab437dc3d37cb0b88fbd9f9
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Jul 14 19:40:16 2009 +0200

    Update .gitignore

 .gitignore |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit b785747260c8c6cd233222ba6227f5e99e129b01
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Jul 14 19:39:59 2009 +0200

    extensions: Explicitly specify sources

    Explicitly specify extension sources since there seems to be some
    problem with AM_DEFAULT_SOURCE_EXT with automake-1.11.

 extensions/Makefile.am |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 8c9bfc3e708799b5e752c7aecf21e12ec51c0fb1
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Jul 14 19:33:56 2009 +0200

    babl: Don't declare functions with external linkage as inline

    Don't declare functions with external linkage as inline. The way we
    did it is forbidden in C99 and causes compilation problems on other
    platforms. See bug #572154.

 babl/babl-hash-table.c |    6 +++---
 babl/babl-hash-table.h |    6 +++---
 babl/babl-list.c       |   10 +++++-----
 babl/babl-list.h       |   10 +++++-----
 4 files changed, 16 insertions(+), 16 deletions(-)

commit 7087a284fe70ef27eae59ee4ddbdb31acf609b92
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Jun 23 06:28:17 2009 +0200

    Update SVN reference to git

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 40f8ebc300537706cb214780cfa0234214082085
Author: Sven Neumann <s.neumann@raumfeld.com>
Date:   Fri Jul 3 21:04:58 2009 +0200

    require automake >= 1.9.6 and libtool >= 1.5

 autogen.sh |   24 +++++-------------------
 1 files changed, 5 insertions(+), 19 deletions(-)

commit 3d829407123d54a4f0a632d137c00f6988c7febb
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat May 23 13:41:20 2009 +0200

    Add babl.doap

 babl.doap |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit a7614da76c130f12e80fd0d5de1e9c0f83ff64af
Author: Fryderyk Dziarmagowski <freetz@gmx.net>
Date:   Sat May 23 12:55:39 2009 +0200

    Bug 583565 – babl 0.1.0 build fixes

    Don't apply dynamic library versioning to the babl extensions.

 extensions/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cfebbba04be6c16456aa08f99d880b32cd96f37e
Author: Fryderyk Dziarmagowski <freetz@gmx.net>
Date:   Sat May 23 12:49:25 2009 +0200

    Bug 583565 – babl 0.1.0 build fixes

    The DESTDIR variable should not be used in a Makefile.am.

 extensions/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bee9f09cab452c2c94421dffec0823d68abbf338
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Thu May 21 01:44:31 2009 +0200

    Obsolete the ChangeLog file

 ChangeLog |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 497a7ddde97a57aa6ff6e8ecda3f9264c2c2d7d3
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Thu May 21 01:44:18 2009 +0200

    Bump version to 0.1.1

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4d207d4c586bb17c9f8342f4f47941fc03eae024
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue May 19 20:30:50 2009 +0200

    0.1.0 released

 ChangeLog |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)
